#!/usr/bin/env python3
# -*- coding: utf-8 -*-
### Toutes les "constantes" de config importés partout

# fichiers
f_poids_perc_garcon = "wfa_boys_p_exp.txt"
f_poids_perc_fille = "wfa_girls_p_exp.txt"
f_poids_z_garcon = "wfa_boys_z_exp.txt"
f_poids_z_fille = "wfa_girls_z_exp.txt"

# Pour les courbes percentiles
liste_data_choisie_p = [(5,1),(7,5),(8,10),(10,25),(11,50),(12,75), (14,90),
              (15,95),(17,99)]

# pour le sigma : (colonne,sigma)
liste_data_choisie_z = [(2,-3),(3,-2),(4,-1),(5,0),(6,1),(7,2),(8,3)]

liste_unites_valides = ["jours", "semaines", "mois", "années"]

# nombre de jours dans autre chose
jours_dans_mois = 30.4375
jours_dans_annee = 365.25
jours_dans_semaine = 7


## Maxi et mini de "sécurité"
# jours maxi
jours_maxi_courbe = 6.2*jours_dans_annee
# poids max (protection)
poids_maxi = 80
# taille max du nom
longueur_max_nom_bebe = 100


### Taille du graphique par défaut (pouces, en 80 points par pouce)
largeur_graphique = 10
hauteur_graphique = 7

#largeurs et hauteurs min et max
largeur_graphique_max = 40
largeur_graphique_min = 2

hauteur_graphique_max = 40
hauteur_graphique_min = 2

# Nombre de lignes par défaut dans le formulaire
nombre_lignes_form = 5


# initialiser la config
def config_init():
    return {"largeur": largeur_graphique, 
            "hauteur": hauteur_graphique, 
            "nb_data":nombre_lignes_form,
            "age_0": "0j",
            "legende": "oui",
            "positionlegende": "hg"}
    
    
